Loading...
Searching...
No Matches
ilusubdomainsolver.hh File Reference

Various local subdomain solvers based on ILU for SeqOverlappingSchwarz. More...

`#include <map>`
`#include <dune/common/typetraits.hh>`
`#include <dune/istl/preconditioners.hh>`
`#include "matrix.hh"`
`#include <cmath>`
`#include <cstdlib>`

Go to the source code of this file.

## Classes

class | Dune::ILUSubdomainSolver< M, X, Y >
| base class encapsulating common algorithms of ILU0SubdomainSolver and ILUNSubdomainSolver. More...
class | Dune::ILU0SubdomainSolver< M, X, Y >
| Exact subdomain solver using ILU(p) with appropriate p. More...
class | Dune::ILUNSubdomainSolver< M, X, Y >

## Namespaces

namespace | Dune

## Detailed Description

Various local subdomain solvers based on ILU for SeqOverlappingSchwarz.

Author
  Markus Blatt